package com.philisense.www.service.impl;


import com.philisense.www.dao.ProDeptDAO;
import com.philisense.www.service.ProDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class ProDeptServiceImpl implements ProDeptService {

    @Autowired
    private ProDeptDAO proDeptDAO;

    @Override
    public int deleteByPrimaryKey(String id) {
        return proDeptDAO.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return proDeptDAO.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return proDeptDAO.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return proDeptDAO.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return proDeptDAO.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return proDeptDAO.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return proDeptDAO.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return proDeptDAO.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return proDeptDAO.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return proDeptDAO.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        proDeptDAO.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        proDeptDAO.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        proDeptDAO.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> getProDeptTreeByParentid(Map<String, Object> map) {
        return proDeptDAO.getProDeptTreeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getProDeptTreeByLevelCode(Map<String, Object> map) {
        return proDeptDAO.getProDeptTreeByLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> getPageProUserByDeptCode(Map<String, Object> map) {
        return proDeptDAO.getPageProUserByDeptCode(map);
    }

    @Override
    public int getCountProUserByDeptCode(Map<String, Object> map) {
        return proDeptDAO.getCountProUserByDeptCode(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return proDeptDAO.updateDropNode(map);
    }

    @Override
    public void updateBatchLevelCode(Map<String, Object> map) {
        proDeptDAO.updateBatchLevelCode(map);
    }
}